/* Control d'un led amb el receptor d'infrarojos KY-022 */

#include <IRremote.h>    // utilitzem la llibreria IRremote

// configuració dels ports
int receptor = 11;
int led      = 13;

// configuració d'una nova instància del receptor
IRrecv irrecv(receptor); 
decode_results resultats;

void setup() {
 Serial.begin(9600);     // inici del monitor sèrie
 irrecv.enableIRIn();    // inici del receptor
}

void loop() {
 if (irrecv.decode(&resultats)) {               // S'ha rebut un valor IR
    Serial.print("Intermitencies del led: ");
    Serial.println(resultats.value);           // mostra el valor pel monitor sèrie
    for(int x = 0; x < resultats.value; x++){
      analogWrite(led, 255);                    // encen el led segons el valor rebut
      delay(300);
      analogWrite(led, 0); 
      delay(300);}
    irrecv.resume();                            // espera el següent valor
 }
}
