/* Control d'un led amb el transmissor d'infrarojos  KY-005 */

#include <IRremote.h>    // utilitzem la llibreria IRremote
  
// configuració d'una nova instància del transmissor
IRsend irsend;
  
// la configuració del pin de sortida a D3 ve determinada per la llibreria
int numeroEntrat = 0;

void setup(){
  Serial.begin(9600);     // inici del monitor sèrie
}
  
void loop() {
  Serial.println("Escriu un número:");     // Demanem un número a l'usuari a través del monitor sèrie
  while (Serial.available() == 0) {}       // Espera fins que l'usuari entri un número
  numeroEntrat = Serial.parseInt();        // Recull un número enter entrat en la variable numeroEntrat
  Serial.print("El número entrat és: ");   // Imprimeix un literal sense fer el salt de línia
  Serial.println(numeroEntrat);            // Imprimeix el valor d'una variable i fa al salt de línia
  irsend.sendRC5(numeroEntrat, 12);        // enviem el senyal IR en format de 12 bits
  delay(5000);                             // retard entre els impulsos enviats
}
